#
# spec file for package zypper (Version 0.6.15)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc41 libicu libidn libidn-devel libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           zypper
Url:            http://en.opensuse.org/Zypper
# da library
BuildRequires:  libzypp-devel
BuildRequires:  boost-devel gcc-c++ gettext-devel pkg-config
License:        GPL v2 or later
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
PreReq:         permissions
Summary:        Command Line Package Management Using Libzypp
Version:        0.6.15
Release:        0.6
Source:         zypper-0.6.15.tar.bz2
Patch0:         wrapper.diff
Patch1:         bnc398530-zypp-checkpatches.diff
Prefix:         /usr
# zypper is not a fully featured replacement yet
#Provides:       y2pmsh
#Obsoletes:      y2pmsh

%description
Command Line Package Management Using Libzypp



Authors:
--------
    Jan Kupec <jkupec@suse.cz>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Martin Vidner <mvidner@suse.cz>

%debug_package
%prep
%setup -q
%patch0
%patch1

%build
gettextize -f
autoreconf --force --install --symlink --verbose
%{?suse_update_config:%{suse_update_config -f}}
%if %suse_version <= 1010
# compatibility defines unless we have the newer libzypp on SLE SP
if ! pkg-config --modversion libzypp | grep '^2'; then
export ZYPP_LIBS=-lzypp ZYPP_CFLAGS="-D_FILE_OFFSET_BITS=64 -DLIBZYPP_1xx"
fi
%endif
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --libdir=%{_libdir} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} --disable-static
make %{?jobs:-j %jobs}
#make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Create filelist with translatins
%{find_lang} zypper

%post
%run_ldconfig
%if %suse_version > 1010
%run_permissions
%endif
%if %suse_version > 1010
%verifyscript
%verify_permissions -e %{_sbindir}/zypp-checkpatches-wrapper
%endif

%postun
%run_ldconfig

%clean

%files -f zypper.lang
%defattr(-,root,root)
%{_sysconfdir}/logrotate.d/zypper.lr
%{_bindir}/zypper
%{_bindir}/installation_sources
%if %suse_version > 1010
%{_sbindir}/zypp-checkpatches
%verify(not mode) %attr (755,root,root) %{_sbindir}/zypp-checkpatches-wrapper
%endif
%doc %{_mandir}/*/*
%doc %dir %{_datadir}/doc/packages/zypper
%doc %{_datadir}/doc/packages/zypper/TODO
%doc %{_datadir}/doc/packages/zypper/zypper-rug

%changelog
* Fri Jun 20 2008 - jkupec@suse.cz
- zypp-checkpatches: don't accept files with GPG problems, report
  an error instead (bnc #398530)
* Thu Sep 20 2007 - aschnell@suse.de
- close file-descriptors > 2, call setgid and umask and check
  file-descriptors 0, 1 and 2 in zypp-checkpatches-wrapper (bug
  [#325556])
* Mon Jan 22 2007 - mvidner@suse.cz
- installation_sources: fixed to be compatible even with
  /opt/kde3/bin/kde_add_yast_source.sh (#223795).
* Fri Jan 12 2007 - jkupec@suse.cz
- Texts corrected based on feedback from proof-reading.
- Fixed building on SLE10-SP1 (mvidner).
- r4856
- 0.6.15
* Thu Jan 11 2007 - jkupec@suse.cz
- more texts marked for translation
- r4848
* Mon Dec 18 2006 - dmacvicar@suse.de
- Show a better message when we can't acquire the lock
  (#227073)
- r4814
* Mon Dec 18 2006 - dmacvicar@suse.de
- report error if no update sources are configured (#226067)
- filter duplicate patches from different sources (#223844)
- mark some strings for translation.
- r4812
* Mon Dec 18 2006 - jkupec@suse.cz
- fixed uncaught checksum exception (#224216)
- 0.6.14
* Fri Dec 01 2006 - jkupec@suse.cz
- fixed error output when trying to install an already installed
  package (#224129)
- fixed missing target resolvables in search (#224673)
* Mon Nov 20 2006 - mvidner@suse.cz
- Respect "update --skip-interactive" (#221476).
- list-updates: warn if we are listing only patches affecting the
  package manager and there are also others.
- 0.6.13
* Mon Nov 20 2006 - mvidner@suse.cz
- update -t package: keep the same architecture (#222140).
- 0.6.12
* Wed Nov 15 2006 - mvidner@suse.cz
- Resurrected /usr/bin/installation_sources, as a shell wrapper for
  zypper (#163737).
- 0.6.11
* Wed Nov 15 2006 - mvidner@suse.cz
- service-add: added options --type (especially for Plaindir,
  [#174369]), --disabled, and --no-refresh.
- 0.6.10
* Mon Nov 13 2006 - mvidner@suse.cz
- Fixed service-rename leaving the old name around.
- 0.6.9
* Mon Nov 13 2006 - jkupec@suse.cz
- license confirmation upon installation/update added
- 0.6.8
* Fri Nov 10 2006 - jkupec@suse.cz
- solve_and_commit() changed to return informative exit codes if
  a reboot or package manager restart is needed after
  installation/removal of patches requiring such actions.
- 0.6.7
* Fri Nov 10 2006 - mvidner@suse.cz
- Do not obsolete y2pmsh.rpm yet.
* Thu Nov 09 2006 - mvidner@suse.cz
- Fixed option parsing broken by unterminated option lists in 0.6.4
  (for example install -t was thinking -t stood for --terse).
- If "install"ing more resolvables at a time, don't commit one by one.
- 0.6.6
* Wed Nov 08 2006 - jkupec@suse.cz
- Several exit codes defined for use in scripts.
* Wed Nov 08 2006 - mvidner@suse.cz
- Call dump_pool more often for better debugging.
- 0.6.5
* Tue Nov 07 2006 - jkupec@suse.cz
- --help option added for each command
- help texts added
- unkown command on 'zypper --help' fixed
- defaulting to package in rug compatibility for search command
- Bundle column replaced by Type in non-compatible mode
- 0.6.4
* Mon Nov 06 2006 - jkupec@suse.cz
- Unknown command message added (#216211)
- 0.6.3
* Mon Nov 06 2006 - mvidner@suse.cz
- Made it build on SL10.1
- 0.6.2
* Mon Nov 06 2006 - mvidner@suse.cz
- Warn that we do not sync with ZMD (#217028).
- 0.6.1
* Mon Nov 06 2006 - mvidner@suse.cz
- Implemented single package mode for update and list-updates,
  made it the default in rug-compatible mode.
- Added logrotate support (#216911).
- Added callbacks for script execution.
- 0.6.0
* Sat Nov 04 2006 - mvidner@suse.cz
- Ported zypper (except zypp-checkpatches) to libzypp-1.x.x.
- Show patch messages.
- Callbacks: fixed more warnings about unused variables.
- Fixed zypper --version.
* Fri Nov 03 2006 - mvidner@suse.cz
- log to /var/log/YaST2/zypper.log (for save_y2logs too).
- Added dump_pool in "zypper patches"
* Thu Nov 02 2006 - mvidner@suse.cz
- Automatically retry installing with nodeps or force, nicer problem
  display, no more "3, 0 Invalid object" (#216042).
- Do not parse metadata of disabled sources *blush* (#217297).
- Display all "Parsing patch..." on one line.
- Shell would try to repeat the install command over and over,
  fixed.
* Thu Nov 02 2006 - dmacvicar@suse.de
- zypp-checkpatches fixes:
  dont use sourcemanager to restore sources,
  Restore sources one by one,
  skip CD/DVD and disabled sources,
  allow success with still reporting errors,
  new xml format 0.4 , applet coming
- 0.5.3
- r4474
* Wed Nov 01 2006 - mvidner@suse.cz
- Added a manual page zypper(8) (#216028).
- do not unnecessarily link zypper with boost_program_options.
- fixed documentation directories
- 0.5.2, r4462
* Wed Nov 01 2006 - jkupec@suse.cz
- -y, --no-confirm option implemented for install, remove,
  and update command (#216649).
- -r, --rug-compatibility global option introduced - for cases where
  there may be scripts used to parsing rug output
- patch-info implemented
- refresh implemented
- service-list says Enabled and Refresh instead of [x]*
* Wed Nov 01 2006 - mvidner@suse.cz
- First try of zypper "shell" command.
* Tue Oct 31 2006 - mvidner@suse.cz
- Fixed endless loop if stdin not available (#216210).
- Better messages (#216033):
  replaced "Adding resolvables" by "Parsing metadata";
  replaced "Not found" by "package 'foo' not found";
  removed "Problems: (none)";
  removed "Continue?" if there is nothing to install/remove.
* Sun Oct 29 2006 - ro@suse.de
- add missing return value
- also use RPM_OPT_FLAGS for C source
* Fri Oct 27 2006 - jkupec@suse.cz
- FIXED --uninstalled-only does't exclude installed resolvables
- FIXED search for all resolvables displays installed packages
  twice
- FIXED source (catalog) information missing for installed packages
- added rug's 'v' status
- 0.5.1
* Wed Oct 25 2006 - mvidner@suse.cz
- Split the package from libzypp.rpm
- 0.5.0
